# RequestType Class Reference
[Common wrapper and helper classes]

Inheritance diagram for RequestType:
[legend]

List of all members.

## Public Member Functions

| setId ($id)

## Static Public Member Functions

static | get ()
static | post ()
static | files ()
static | cookie ()
static | session ()
static | attached ()
static | server ()

## Public Attributes

const | GET = 1
const | POST = 2
const | FILES = 3
const | COOKIE = 4
const | SESSION = 5
const | ATTACHED = 6
const | SERVER = 7

## Protected Attributes

| $names

## Static Private Member Functions

static | getInstance ($id)

## Detailed Description

Definition at line 15 of file RequestType.class.php.

## Member Function Documentation

static RequestType::attached | ( |  | ) | `[static]`

Returns:
  RequestType

Definition at line 88 of file RequestType.class.php.

References getInstance().

Here is the call graph for this function:

static RequestType::cookie | ( |  | ) | `[static]`

Returns:
  RequestType

Definition at line 72 of file RequestType.class.php.

References getInstance().

Here is the call graph for this function:

static RequestType::files | ( |  | ) | `[static]`

Returns:
  RequestType

Definition at line 64 of file RequestType.class.php.

References getInstance().

Here is the call graph for this function:

static RequestType::get | ( |  | ) | `[static]`

Returns:
  RequestType

Definition at line 48 of file RequestType.class.php.

References getInstance().

Referenced by PrototypedEditor::__construct(), and BaseEditor::__construct().

Here is the call graph for this function:

static RequestType::getInstance | ( | $ | id | ) | `[static, private]`

Returns:
  RequestType

Definition at line 104 of file RequestType.class.php.

References IdentifiableObject::$id.

Referenced by attached(), cookie(), files(), get(), post(), server(), and session().

static RequestType::post | ( |  | ) | `[static]`

Returns:
  RequestType

Definition at line 56 of file RequestType.class.php.

References getInstance().

Referenced by ProxyController::__construct(), PrototypedEditor::__construct(), ControllersCollection::__construct(), and BaseEditor::__construct().

Here is the call graph for this function:

static RequestType::server | ( |  | ) | `[static]`

Returns:
  RequestType

Definition at line 96 of file RequestType.class.php.

References getInstance().

Here is the call graph for this function:

static RequestType::session | ( |  | ) | `[static]`

Returns:
  RequestType

Definition at line 80 of file RequestType.class.php.

References getInstance().

Here is the call graph for this function:

RequestType::setId | ( | $ | id | ) |

Returns:
  RequestType

Reimplemented from Enumeration.

Definition at line 38 of file RequestType.class.php.

References IdentifiableObject::$id, and Assert::isNull().

Here is the call graph for this function:

## Member Data Documentation

RequestType::$names`[protected]`

Initial value:

     array(
                self::GET       => 'get',
                self::POST      => 'post',
                self::FILES     => 'files',
                self::COOKIE    => 'cookie',
                self::SESSION   => 'session',
                self::ATTACHED  => 'attached',
                self::SERVER    => 'server'
            )

Reimplemented from Enumeration.

Definition at line 25 of file RequestType.class.php.

const RequestType::ATTACHED = 6

Definition at line 22 of file RequestType.class.php.

const RequestType::COOKIE = 4

Definition at line 20 of file RequestType.class.php.

const RequestType::FILES = 3

Definition at line 19 of file RequestType.class.php.

const RequestType::GET = 1

Definition at line 17 of file RequestType.class.php.

const RequestType::POST = 2

Definition at line 18 of file RequestType.class.php.

const RequestType::SERVER = 7

Definition at line 23 of file RequestType.class.php.

const RequestType::SESSION = 5

Definition at line 21 of file RequestType.class.php.

The documentation for this class was generated from the following file:

- main/Base/RequestType.class.php